"use strict";
cc._RF.push(module, '2cbb6Cg11lPRLtZ+GjHneab', 'TextControl');
// scripts/text/TextControl.ts

"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var Cotent_1 = require("../component/Cotent");
var Constant_1 = require("../Constant");
var EventManager_1 = require("../manager/EventManager");
var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
var TextControl = /** @class */ (function (_super) {
    __extends(TextControl, _super);
    function TextControl() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.contents = [];
        _this.prefab = null;
        return _this;
    }
    TextControl.prototype.onLoad = function () {
        this.prefab.parent = null;
        EventManager_1.default.getInstance().on(Constant_1.EventType.SHOW_FILE_DATA, this.drawExcel, this);
    };
    TextControl.prototype.onDestroy = function () {
        EventManager_1.default.getInstance().off(Constant_1.EventType.SHOW_FILE_DATA, this);
    };
    TextControl.prototype.drawExcel = function () {
        var _this = this;
        this.contents.forEach(function (content) {
            content.drawSheet(_this.prefab);
        });
    };
    __decorate([
        property([Cotent_1.default])
    ], TextControl.prototype, "contents", void 0);
    __decorate([
        property(cc.Node)
    ], TextControl.prototype, "prefab", void 0);
    TextControl = __decorate([
        ccclass
    ], TextControl);
    return TextControl;
}(cc.Component));
exports.default = TextControl;

cc._RF.pop();