"use strict";
cc._RF.push(module, '8ac40RLTxxJCYxVkAAzhUHd', 'DataManager');
// scripts/manager/DataManager.ts

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DataManager = /** @class */ (function () {
    function DataManager() {
    }
    DataManager.prototype.setData = function (data) {
        this._file_data = data;
    };
    DataManager.prototype.getData = function () {
        return this._file_data;
    };
    DataManager.prototype.getDataCol = function () {
        return this.getSheetKey().length;
    };
    DataManager.prototype.getDataRow = function () {
        if (this.isArrayData()) {
            return this._file_data.length;
        }
        return 1;
    };
    DataManager.prototype.getSheetKey = function () {
        if (this.isArrayData()) {
            var data = this._file_data;
            var keys_1 = [];
            data.forEach(function (info) {
                Object.keys(info).forEach(function (key) {
                    if (keys_1.indexOf(key) == -1) {
                        keys_1.push(key);
                    }
                    ;
                });
            });
            return keys_1;
        }
        return Object.keys(this._file_data);
    };
    // 更改字段名
    DataManager.prototype.changeSheetKey = function (lKey, nKey) {
        if (lKey == nKey) {
            return false;
        }
        else {
            var keys = this.getSheetKey();
            if (keys.indexOf(nKey) != -1) {
                // TODO 提示已存在相同字段名
                console.log("已存在相同字段名");
                return false;
            }
        }
        if (this.isArrayData()) {
            this._file_data.forEach(function (data) {
                data[nKey] = data[lKey];
                delete data[lKey];
            });
        }
        else {
            this._file_data[nKey] = this._file_data[lKey];
            delete this._file_data[lKey];
        }
        return true;
    };
    // 更改内容
    DataManager.prototype.changeData = function (key, data, index) {
        if (this.isArrayData()) {
            var info = this._file_data[index];
            info[key] = data;
        }
        else {
            this._file_data[key] = data;
        }
    };
    DataManager.prototype.isArrayData = function () {
        return Array.isArray(this._file_data);
    };
    DataManager.getInstance = function () {
        if (!this._instance) {
            this._instance = new DataManager();
        }
        return this._instance;
    };
    DataManager._instance = null;
    return DataManager;
}());
exports.default = DataManager;

cc._RF.pop();